Find a course or event

You can search, and book, on some of our courses using our online booking system.


From 15 February 2018 you will need to ensure that you're using a web browser that uses Transport Layer Security (TLS) 1.2 when making online payments. If your browser isn't compatible your payment will fail.

The following is a list of browsers that support TLS1.2:

  • Chrome: 30 and above
  • Android: 4.4 and above 
  • Firefox: 24 and above 
  • Internet Explorer: 8  and above. (Windows Vista and Windows XP are not compatible) 
  • Opera: 17 and above 
  • Safari: 7 and above, OSX10.9 and above 
  • Safari Mobile: IOS 5 and above

Search the catalogue and make a booking (opens in a new window).

If you have any questions, please contact us (opens in a new window).